SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000981: HTTP Proxy Antivirus - HAVP memory leak - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000981Endian FirewallProxy HTTPpublic2008-06-20 16:462009-10-27 13:27
Reporterpapoux_gallant 
Assigned Tosimon-endian 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc1 
Target Version2.3Fixed in Version2.3 
Summary0000981: HTTP Proxy Antivirus - HAVP memory leak
DescriptionDear EFW Team,

I discovered the following issue:

When using HAVP HTTP Proxy anti-virus, HAVP processes keep on growing in number and size. When physical memory is saturated, the Proxy stops. Clearing the cache or reseting the HTTP Proxy solves the problem temporarily. Usually the system is working fine for a day or two, three days maximum (I run it on a system which have 4 GB of RAM).

I included system status capture and ps aux dumps.

Regards,

Papoux Gallant
TagsNo tags attached.
Attached Files? file icon EFW Memory - 2008-06-19.bmp [^] (521,274 bytes) 2008-06-20 16:46
? file icon EFW Memory - 2008-06-20.bmp [^] (175,498 bytes) 2008-06-20 16:47


txt file icon ps-2008-06-19.txt [^] (18,243 bytes) 2008-06-20 16:47 [Show Content]
txt file icon ps-2008-06-20.txt [^] (36,989 bytes) 2008-06-20 16:47 [Show Content]

- Relationships

-  Notes
(0001394)
trung (reporter)
2008-07-01 08:56

I think this is a bug in Squid

Bug 0001993: Memory leak in http_reply_access deny processing

Squid 2.6 Stable 21 fixed it.
(0001398)
simon-endian (developer)
2008-07-01 17:09

need to deploy squid-2.6 STABLE21
(0002494)
simon-endian (developer)
2009-06-08 16:29

memory leak was not the source of this problem. squid will be updated in a futher step.

- Issue History
Date Modified Username Field Change
2008-06-20 16:46 papoux_gallant New Issue
2008-06-20 16:46 papoux_gallant Status new => assigned
2008-06-20 16:46 papoux_gallant Assigned To => simon-endian
2008-06-20 16:46 papoux_gallant File Added: EFW Memory - 2008-06-19.bmp
2008-06-20 16:47 papoux_gallant File Added: EFW Memory - 2008-06-20.bmp
2008-06-20 16:47 papoux_gallant File Added: ps-2008-06-19.txt
2008-06-20 16:47 papoux_gallant File Added: ps-2008-06-20.txt
2008-06-24 10:10 raphael-endian Severity major => minor
2008-07-01 08:56 trung Note Added: 0001394
2008-07-01 17:09 simon-endian Note Added: 0001398
2008-07-01 17:09 simon-endian Status assigned => acknowledged
2008-07-01 18:04 peter-endian Target Version => 2.2
2008-09-10 15:41 chris-endian Target Version 2.2 => 2.3
2008-09-10 15:53 chris-endian Target Version 2.3 => future
2009-06-08 16:29 simon-endian Note Added: 0002494
2009-06-08 16:29 simon-endian Status acknowledged => resolved
2009-06-08 16:29 simon-endian Resolution open => fixed
2009-10-27 12:00 peter-endian Status resolved => closed
2009-10-27 12:22 peter-endian Fixed in Version => 2.3
2009-10-27 13:27 peter-endian Target Version future => 2.3

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker